<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="9830c5da-176a-4c72-a301-9f6ce98c82fe" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/forge/New/Index.js" beforeDir="false" afterPath="$PROJECT_DIR$/src/forge/New/Index.js" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainTransfer.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="126">
              <caret line="90" column="46" lean-forward="true" selection-start-line="90" selection-start-column="46" selection-end-line="90" selection-end-column="46" />
              <folding>
                <element signature="e#0#80#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExMenu.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="191">
              <caret line="32" column="20" lean-forward="true" selection-start-line="32" selection-start-column="20" selection-end-line="32" selection-end-column="20" />
              <folding>
                <element signature="e#0#53#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/Index.scss">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="134">
              <caret line="135" column="23" lean-forward="true" selection-start-line="135" selection-start-column="23" selection-end-line="135" selection-end-column="23" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/forge/New/Index.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="287">
              <caret line="394" column="28" lean-forward="true" selection-start-line="394" selection-start-column="28" selection-end-line="394" selection-end-column="28" />
              <folding>
                <element signature="e#0#41#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/AppConfig.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="35" column="31" selection-start-line="35" selection-start-column="22" selection-end-line="35" selection-end-column="31" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExHistory.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="58">
              <caret line="38" column="18" lean-forward="true" selection-start-line="38" selection-start-column="18" selection-end-line="38" selection-end-column="18" />
              <folding>
                <element signature="e#0#53#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExCre.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="278">
              <caret line="150" column="1" lean-forward="true" selection-start-line="150" selection-start-column="1" selection-end-line="150" selection-end-column="1" />
              <folding>
                <element signature="e#0#53#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/Order/order_form.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="194">
              <caret line="48" column="31" lean-forward="true" selection-start-line="48" selection-start-column="31" selection-end-line="48" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExVerify.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="94" column="7" lean-forward="true" selection-start-line="94" selection-start-column="7" selection-end-line="94" selection-end-column="7" />
              <folding>
                <element signature="e#0#53#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExList.jsx">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="197">
              <caret line="59" column="17" lean-forward="true" selection-start-line="59" selection-start-column="17" selection-end-line="59" selection-end-column="17" />
              <folding>
                <element signature="e#0#53#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>type</find>
      <find>type=</find>
      <find>getElementB</find>
      <find>setS</find>
      <find>setState</find>
      <find>getElementsBy</find>
      <find>getElement</find>
      <find>state</find>
      <find>hidden</find>
      <find>show_div</find>
      <find>this.state</find>
      <find>handleBlockchainChange</find>
      <find>&lt;Table</find>
      <find>请输入转给</find>
      <find>历史交易</find>
      <find>交易</find>
      <find>?</find>
      <find>售卖token数量</find>
      <find>输入售卖金额</find>
      <find>selectProjectChange</find>
      <find>确认收货</find>
      <find>token_num</find>
      <find>请输入转账token</find>
      <find>项目创建者/项目名</find>
      <find>token总量</find>
      <find>token数量</find>
      <find>auth</find>
      <find>balance_project</find>
      <find>项目加入确权机制</find>
      <find>getTokenProject</find>
    </findStrings>
    <replaceStrings>
      <replace>任务</replace>
    </replaceStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$/src/forge/Merge</dir>
      <dir>$PROJECT_DIR$</dir>
      <dir>$PROJECT_DIR$/public</dir>
      <dir>$PROJECT_DIR$/src/modules/user/usersInfo</dir>
      <dir>$PROJECT_DIR$/src/modules/user</dir>
      <dir>$PROJECT_DIR$/src/forge</dir>
      <dir>$PROJECT_DIR$/src</dir>
      <dir>$PROJECT_DIR$/</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/modules/login/EducoderLogin.js" />
        <option value="$PROJECT_DIR$/src/modules/user/LoginRegisterComponent.js" />
        <option value="$PROJECT_DIR$/src/modules/login/EducoderInteresse.js" />
        <option value="$PROJECT_DIR$/src/modules/user/usersInfo/Projects.js" />
        <option value="$PROJECT_DIR$/src/forge/Newfile/UserSubmitComponent.js" />
        <option value="$PROJECT_DIR$/src/forge/quillForEditor/index.js" />
        <option value="$PROJECT_DIR$/src/forge/Main/IndexItem.js" />
        <option value="$PROJECT_DIR$/src/forge/Main/CoderRootCommit.js" />
        <option value="$PROJECT_DIR$/src/forge/Activity/ActivityItem.js" />
        <option value="$PROJECT_DIR$/src/forge/Branch/CloneAddress.js" />
        <option value="$PROJECT_DIR$/src/forge/Version/version.js" />
        <option value="$PROJECT_DIR$/public/css/css_min_all.css" />
        <option value="$PROJECT_DIR$/public/index.html" />
        <option value="$PROJECT_DIR$/src/modules/user/usersInfo/InfosBanner.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/CopyDetail.js" />
        <option value="$PROJECT_DIR$/src/forge/Merge/UpdateMerge.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/order.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/OrderItem.js" />
        <option value="$PROJECT_DIR$/src/forge/Main/list.css" />
        <option value="$PROJECT_DIR$/src/forge/Order/order.css" />
        <option value="$PROJECT_DIR$/src/forge/Merge/MergeItem.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/New.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/UpdateDetail.js" />
        <option value="$PROJECT_DIR$/src/forge/Merge/MergeSubmit.js" />
        <option value="$PROJECT_DIR$/src/forge/Main/Index.js" />
        <option value="$PROJECT_DIR$/src/forge/Blockchain/Trade.js" />
        <option value="$PROJECT_DIR$/src/forge/users/Blockchain.js" />
        <option value="$PROJECT_DIR$/src/forge/users/CIList.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/blockchain.jsx" />
        <option value="$PROJECT_DIR$/src/forge/Newfile/Index.js" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExchange.jsx" />
        <option value="$PROJECT_DIR$/src/forge/BlockchainExchangeNew.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainEx.jsx" />
        <option value="$PROJECT_DIR$/src/forge/Merge/NewMerge.js" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExMenu.jsx" />
        <option value="$PROJECT_DIR$/src/forge/Main/Detail.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/order_form.js" />
        <option value="$PROJECT_DIR$/src/forge/Order/Detail.js" />
        <option value="$PROJECT_DIR$/src/forge/Merge/MessageCount.js" />
        <option value="$PROJECT_DIR$/package.json" />
        <option value="$PROJECT_DIR$/src/AppConfig.js" />
        <option value="$PROJECT_DIR$/src/forge/users/Infos.js" />
        <option value="$PROJECT_DIR$/src/forge/New/new.css" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExList.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExHistory.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExCre.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainExVerify.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/BlockchainTransfer.jsx" />
        <option value="$PROJECT_DIR$/src/forge/users/Index.scss" />
        <option value="$PROJECT_DIR$/src/forge/New/Index.js" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6" fullScreen="true">
    <option name="width" value="1280" />
    <option name="height" value="800" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
              <item name="react" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="forge" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="forge" type="462c0819:PsiDirectoryNode" />
              <item name="New" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="forgeplus-react" type="b2602c69:ProjectViewProjectNode" />
              <item name="forgeplus-react" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="forge" type="462c0819:PsiDirectoryNode" />
              <item name="users" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/forge/users" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.standard" value="true" />
    <property name="node.js.path.for.package.eslint" value="$USER_HOME$/.nvm/versions/node/v8.16.0/bin/node" />
    <property name="node.js.path.for.package.standard" value="project" />
    <property name="node.js.selected.package.eslint" value="$PROJECT_DIR$/node_modules/eslint" />
    <property name="node.js.selected.package.standard" value="" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="preferences.sourceCode.JavaScript" />
    <property name="ts.external.directory.path" value="$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/forge/users" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/src/modules/user/usersInfo" />
      <recent name="$PROJECT_DIR$/build" />
      <recent name="$PROJECT_DIR$/src/forge/Images" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/forge/users" />
      <recent name="$PROJECT_DIR$/src/forge/Blockchain" />
    </key>
  </component>
  <component name="RubyModuleManagerSettings">
    <option name="blackListedRootsPaths">
      <list>
        <option value="$PROJECT_DIR$" />
      </list>
    </option>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JavaScript Debug.issue_detail">
    <configuration name="ExchangeService" type="JavascriptDebugType" nameIsGenerated="true" uri="http://localhost:3007/users/m6znfpwgx/blockchain/ExchangeService" useFirstLineBreakpoints="true">
      <method v="2" />
    </configuration>
    <configuration name="TransferService" type="JavascriptDebugType" nameIsGenerated="true" uri="http://localhost:3007/users/m6znfpwgx/blockchain/TransferService" useFirstLineBreakpoints="true">
      <method v="2" />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" uri="http://localhost:3008/">
      <method v="2" />
    </configuration>
    <configuration name="issue_detail" type="JavascriptDebugType" uri="http://localhost:3007/projects/m6znfpwgx/test_create_27/issues/56/detail" useFirstLineBreakpoints="true">
      <method v="2" />
    </configuration>
    <configuration name="issue_new" type="JavascriptDebugType" uri="http://localhost:3007/projects/m6znfpwgx/test_create_27/issues/new" useFirstLineBreakpoints="true">
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="JavaScript Debug.TransferService" />
      <item itemvalue="JavaScript Debug.ExchangeService" />
      <item itemvalue="JavaScript Debug.issue_new" />
      <item itemvalue="JavaScript Debug.issue_detail" />
    </list>
  </component>
  <component name="SpringUtil" SPRING_PRE_LOADER_OPTION="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="9830c5da-176a-4c72-a301-9f6ce98c82fe" name="Default Changelist" comment="" />
      <created>1584692398144</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1584692398144</updated>
      <workItem from="1584692401543" duration="6228000" />
      <workItem from="1585015135223" duration="21118000" />
      <workItem from="1585194891947" duration="1630000" />
      <workItem from="1585210651078" duration="1600000" />
      <workItem from="1585217705353" duration="104000" />
      <workItem from="1585217834609" duration="4000" />
      <workItem from="1585217980103" duration="3406000" />
      <workItem from="1585288258489" duration="17495000" />
      <workItem from="1585732642767" duration="11458000" />
      <workItem from="1585817691582" duration="2125000" />
      <workItem from="1585900267463" duration="136000" />
      <workItem from="1585902299727" duration="2113000" />
      <workItem from="1586153685130" duration="10062000" />
      <workItem from="1586245827209" duration="1692000" />
      <workItem from="1586330226261" duration="658000" />
      <workItem from="1586400014081" duration="18358000" />
      <workItem from="1586517058808" duration="1607000" />
      <workItem from="1586741565210" duration="25216000" />
      <workItem from="1586946208505" duration="2914000" />
      <workItem from="1587004932342" duration="7698000" />
      <workItem from="1587020811560" duration="543000" />
      <workItem from="1587021467416" duration="8000" />
      <workItem from="1587022017639" duration="2902000" />
      <workItem from="1587047814589" duration="8239000" />
      <workItem from="1587117033332" duration="611000" />
      <workItem from="1587362728834" duration="185000" />
      <workItem from="1587374749323" duration="458000" />
      <workItem from="1587375511570" duration="1067000" />
      <workItem from="1587376696494" duration="11000" />
      <workItem from="1587376745950" duration="14824000" />
      <workItem from="1587452961769" duration="4499000" />
      <workItem from="1587534020999" duration="19518000" />
      <workItem from="1587863258736" duration="1097000" />
      <workItem from="1587864581358" duration="777000" />
      <workItem from="1587870344748" duration="138000" />
      <workItem from="1587882941476" duration="4365000" />
      <workItem from="1587891008299" duration="390000" />
      <workItem from="1609305473230" duration="222000" />
      <workItem from="1609305703508" duration="8077000" />
      <workItem from="1618303807868" duration="8543000" />
      <workItem from="1618381961400" duration="14929000" />
      <workItem from="1618715059222" duration="64287000" />
      <workItem from="1619410770871" duration="5988000" />
      <workItem from="1620741829434" duration="13725000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="321884000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1280" height="800" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.49747476" visible="true" weight="0.1683876" />
      <window_info id="Structure" order="1" sideWeight="0.50252527" side_tool="true" weight="0.24702145" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info id="npm" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4630137" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32876712" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" sideWeight="0.49928468" weight="0.5638554" />
      <window_info active="true" anchor="bottom" id="Terminal" order="10" sideWeight="0.4988086" visible="true" weight="0.25205478" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50119144" side_tool="true" weight="0.53424656" />
      <window_info anchor="bottom" id="TypeScript" order="12" weight="0.32876712" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24702145" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info id="npm" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info active="true" anchor="bottom" id="Debug" order="3" visible="true" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" sideWeight="0.49928468" weight="0.5638554" />
      <window_info anchor="bottom" id="Terminal" order="10" sideWeight="0.49928468" weight="0.23287672" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5007153" side_tool="true" weight="0.713253" />
      <window_info anchor="bottom" id="TypeScript" order="12" weight="0.32876712" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/users/BlockchainTransfer.jsx</url>
          <line>66</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/users/BlockchainExCre.jsx</url>
          <line>48</line>
          <option name="timeStamp" value="29" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/users/BlockchainTransfer.jsx</url>
          <line>44</line>
          <option name="timeStamp" value="33" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/users/BlockchainExVerify.jsx</url>
          <line>18</line>
          <option name="timeStamp" value="36" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/users/BlockchainExMenu.jsx</url>
          <line>13</line>
          <option name="timeStamp" value="38" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/forge/Order/Detail.js</url>
          <line>71</line>
          <option name="timeStamp" value="54" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>url</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>orderId</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>result.data.blockchain_token_num</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>result.data</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>data.version</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>data.issue_status</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>data</expression-string>
        <language-id>JavaScript</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>user.user_id</expression-string>
        <language-id>JSX Harmony</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>user</expression-string>
        <language-id>JSX Harmony</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>result.data.projects</expression-string>
        <language-id>JSX Harmony</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/forge/users/devOpsCD.jsx">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/DevOps/About.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="179" column="20" lean-forward="true" selection-start-line="179" selection-start-column="20" selection-end-line="179" selection-end-column="20" />
          <folding>
            <element signature="e#0#77#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Blockchain/Infos.jsx" />
    <entry file="file://$PROJECT_DIR$/src/forge/DevOps/opsDetail.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-966">
          <caret line="16" column="42" selection-start-line="16" selection-start-column="42" selection-end-line="16" selection-end-column="42" />
          <folding>
            <element signature="e#0#71#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Blockchain/Dispose.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="10" column="50" lean-forward="true" selection-start-line="10" selection-start-column="50" selection-end-line="10" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/common/util.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" lean-forward="true" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/Blockchain.js" />
    <entry file="file://$PROJECT_DIR$/src/forge/DevOps/Index.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="15" column="2" lean-forward="true" selection-start-line="15" selection-start-column="2" selection-end-line="15" selection-end-column="2" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/blockchain.jsx" />
    <entry file="file://$PROJECT_DIR$/src/forge/DevOps/Dispose.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="76" column="8" lean-forward="true" selection-start-line="76" selection-start-column="8" selection-end-line="76" selection-end-column="8" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Component/PasswordAuthority.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
          <folding>
            <element signature="e#0#40#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/static/js/29.23ae291e.chunk.js" />
    <entry file="file://$PROJECT_DIR$/src/forge/users/InfosUser.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="35" selection-start-line="8" selection-start-column="35" selection-end-line="8" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Main/Index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5338">
          <caret line="325" column="18" selection-start-line="325" selection-start-column="18" selection-end-line="333" selection-end-column="20" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="24" column="32" selection-start-line="24" selection-start-column="32" selection-end-line="24" selection-end-column="32" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/_axios@0.18.1@axios/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="257">
          <caret line="128" column="14" selection-start-line="128" selection-start-column="14" selection-end-line="128" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/modules/tpm/TPMIndexHOC.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="53" column="24" lean-forward="true" selection-start-line="53" selection-start-column="24" selection-end-line="53" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Merge/UpdateMerge.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="129">
          <caret line="66" column="22" selection-start-line="66" selection-start-column="22" selection-end-line="66" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/modules/user/modal/RealNameCertificationModal.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-60">
          <caret line="681" column="45" lean-forward="true" selection-start-line="681" selection-start-column="10" selection-end-line="681" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/_antd@3.26.20@antd/lib/form/Form.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="129">
          <caret line="166" column="21" selection-start-line="166" selection-start-column="21" selection-end-line="166" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/Index.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="70">
          <caret line="12" column="3" selection-start-line="12" selection-start-column="3" selection-end-line="12" selection-end-column="3" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/devOpsCI.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="277">
          <caret line="18" column="46" lean-forward="true" selection-start-line="18" selection-start-column="46" selection-end-line="18" selection-end-column="46" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/_antd@3.26.20@antd/lib/menu/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="58">
          <caret line="46" column="66" lean-forward="true" selection-start-line="46" selection-start-column="66" selection-end-line="46" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/_antd@3.26.20@antd/lib/select/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="85" column="21" selection-start-line="85" selection-start-column="21" selection-end-line="85" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/CIdispose.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="152" column="6" lean-forward="true" selection-start-line="152" selection-start-column="6" selection-end-line="152" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/CIList.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="77">
          <caret line="22" column="24" lean-forward="true" selection-start-line="22" selection-start-column="24" selection-end-line="22" selection-end-column="37" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
            <element signature="n#!!block;n#cancelActivate#0;n#!!block;n#CIList#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Merge/NewMerge.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="130">
          <caret line="285" column="58" selection-start-line="285" selection-start-column="57" selection-end-line="285" selection-end-column="58" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/_antd@3.26.20@antd/lib/popconfirm/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="7" column="4" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Main/Detail.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="227">
          <caret line="507" column="27" lean-forward="true" selection-start-line="507" selection-start-column="27" selection-end-line="507" selection-end-column="27" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="http://localhost:3007/Users/Nigel/Documents/Trustie_on_Blockchain/back_work/Trustie/test/forgeplus-react/webpack/bootstrap">
      <provider selected="true" editor-type-id="httpFileEditor" />
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external/lib.es5.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="40" column="17" selection-start-line="40" selection-start-column="17" selection-end-line="40" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Merge/MessageCount.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8160">
          <caret line="501" column="35" selection-start-line="501" selection-start-column="35" selection-end-line="501" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3094">
          <caret line="182" column="28" selection-start-line="182" selection-start-column="28" selection-end-line="182" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package-lock.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/modules/user/usersInfo/InfosBanner.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6018">
          <caret line="363" column="18" selection-start-line="363" selection-start-column="18" selection-end-line="363" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/Infos.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="321" column="15" selection-start-line="321" selection-start-column="15" selection-end-line="321" selection-end-column="15" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/@types/react/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="256">
          <caret line="498" column="8" selection-start-line="498" selection-start-column="8" selection-end-line="498" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/css/edu-purge.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="1850" column="1" selection-start-line="1850" selection-start-column="1" selection-end-line="1850" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/react/build/static/css/51.57607036.chunk.css">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="6533" selection-start-column="6533" selection-end-column="6533" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/New/new.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="372">
          <caret line="58" column="13" selection-start-line="58" selection-start-column="1" selection-end-line="58" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AppConfig.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="35" column="31" selection-start-line="35" selection-start-column="22" selection-end-line="35" selection-end-column="31" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExList.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="197">
          <caret line="59" column="17" lean-forward="true" selection-start-line="59" selection-start-column="17" selection-end-line="59" selection-end-column="17" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExCre.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="278">
          <caret line="150" column="1" lean-forward="true" selection-start-line="150" selection-start-column="1" selection-end-line="150" selection-end-column="1" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExVerify.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="94" column="7" lean-forward="true" selection-start-line="94" selection-start-column="7" selection-end-line="94" selection-end-column="7" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExHistory.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="58">
          <caret line="38" column="18" lean-forward="true" selection-start-line="38" selection-start-column="18" selection-end-line="38" selection-end-column="18" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainTransfer.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="90" column="46" lean-forward="true" selection-start-line="90" selection-start-column="46" selection-end-line="90" selection-end-column="46" />
          <folding>
            <element signature="e#0#80#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/Index.scss">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="134">
          <caret line="135" column="23" lean-forward="true" selection-start-line="135" selection-start-column="23" selection-end-line="135" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/users/BlockchainExMenu.jsx">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="191">
          <caret line="32" column="20" lean-forward="true" selection-start-line="32" selection-start-column="20" selection-end-line="32" selection-end-column="20" />
          <folding>
            <element signature="e#0#53#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/Order/order_form.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="48" column="31" lean-forward="true" selection-start-line="48" selection-start-column="31" selection-end-line="48" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/forge/New/Index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="394" column="28" lean-forward="true" selection-start-line="394" selection-start-column="28" selection-end-line="394" selection-end-column="28" />
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>